package com.shining.cloud.mapper.information;

import com.shining.cloud.pojo.information.DevMsg;
import com.shining.cloud.pojo.information.DevMsgDetail;
import com.shining.cloud.pojo.information.TerminalRun;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.Date;
import java.util.List;

/**
 * @description: 终端消息Mapper
 * @author: denghuajun
 * @time: 2019-10-17 14:11:21
 **/

public interface DevMsgMapper extends Mapper<DevMsg> {
    List<DevMsgDetail> deviceMsgList(@Param("userIndex")String userIndex);
    int unState(@Param("userIndex")String userIndex);
    void updateDevMsgState(@Param("devMsgIndex")String devMsgIndex);

    int getCount(@Param("startTime") Date startTime);

    List<TerminalRun> getList();
}
